//Helpers

.img-as-bg{
    height: 100%;
    left: 0;
    object-fit: cover;
    opacity: .1;
    position: absolute;
    top: 0;
    width: 100%;
}

.shadow__inset{
    box-shadow: inset 0px 0px 6px rgba(34, 31, 93, 0.15);
}

.position__relative{
    position: relative;
}

.padding__section{
    padding: 124px 0;
}

.padding-top__section{
    padding-top: 124px;
}

.padding-bottom__section{
    padding-bottom: 124px;
}

.padding__small-section{
    padding: 60px 0;
}

.padding-top__small-section{
    padding-top: 60px;
}

.padding-bottom__small-section{
    padding-bottom: 60px;
}

.category__badge{
    background-color: #4d4cac;
    border-radius: 0 8px 0 4px;
    color: #fff;
    display: inline-block;
    font-size: 0.875rem;
    font-weight: 500;
    padding: 4px 8px;
    position: absolute;
    right: 0;
    top: 0;
    text-shadow: 1px 1px 1px rgba(0,0,0,0.1);
    z-index: 10;
    transition: .5s ease;

    a{
        color: #fff;
        font-weight: 400;
    }

    i{
        margin-right: .25rem;
    }

    &:hover{
        padding: 4px 10px;
    }
}

//Header
.headbar{
    border-bottom: 1px solid #eff3f7;
    z-index: 666;

    #toggle-search{
        background: none;
        border: none;
        padding: 0;

        i{
            color: $color__main;
        }
    }
}

.headbar+.search-form-wrapper{
    background: $color__main;
    max-height: 0;
    overflow: hidden;
    transition: .5s ease;

    .search-form{
        opacity: 0;
        transition: .5s ease;
        transition-delay: .2s;
    }

    &.active{
        padding: 2rem 0;
        max-height: 120px;

        .search-form{
            opacity: 1;
        }
    }
}

//Search form
.search-form{
    position: relative;

    button{
        bottom: 4px;
        position: absolute;
        right: 4px;
        top: 4px;
    }

    input[type=text]{
        padding: 16px;
        border: none;
        width: 100%;
        border: 1px solid $color__utilitary;
    }
}

//Blog cards
.blog-posts{

    .card{
        padding: 0;
        border: 1px solid #d4dfe9;
        box-shadow: 0 4px 8px -4px rgba(47,45,92,.1);
        position: relative;

        &>a{
            display: flex;
            flex-direction: column;
            width: 100%;
        }

        .article-thumb-wrap{
            height: 180px;
            overflow: hidden;
        }

        .article-thumb-wrap img{
            background: #d4dfe9;
            object-fit: cover;
            border: 1px solid #d4dfe9;
            border-radius: 12px;
            height: 180px;
            width: 100%;
            display: block;
            transition: .9s cubic-bezier(0.17, 0.84, 0.44, 1);

            &:hover{
                transform: scale(1.05);
            }
        }

        .article-title{
            min-height: 90px;
        }
    }

    .article:nth-child(odd) .article-thumb-wrap {
        order: 2;
    }

    article.article--big{
        .card>a {
            display: flex;
            flex-direction: row;
            width: 100%;
        }

        .article-thumb-wrap {
            order: 1;
            width: 50%;
            height: 300px;
            overflow: hidden;
        }

        .article-thumb-wrap .article-thumb img{
            height: 300px;
        }

        .article-caption {
            order: 2;
            padding: 40px 20px 20px 40px;
            width: 50%;
        }

        .article-title {
            font-size: 1.5rem;
            margin-bottom: 20px;
            min-height: auto;
        }
    }
}

//Archive
.archive-header{
    h2{
        margin-bottom: 1.5rem;
    }

    .archive-header__icon{
        border-radius: 50%;
        height: 3rem;
        width: 3rem;
        color: #fff;
        display: inline-block;
        font-size: 1.25rem;
        line-height: 3rem;
        margin-right: .5rem;
        vertical-align: middle;
    }
}

//Error page
.error404 .page-content{
    position: relative;
    min-height: calc(100vh - 225px);
    display: flex;
    align-items: normal;
    flex-direction: column;
    justify-content: center;

    &:before{
        content: "404";
        font-size: 500px;
        color: #e2e3ec;
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        margin: auto;
        line-height: 1;
        display: flex;
        justify-content: center;
        align-items: center;
        font-family: $font__secondary;
        opacity: .5;
    }

    .container-fluid{
        z-index: 10;
        position: relative;
    }
}

//Single
body.single-post{

    .article-single{
        position: relative;
        padding: 32px 60px;

        img{
            max-width: 100%;
        }

        .article-title{
            width: 600px;
            max-width: 100%;
            margin: 0 auto;
        }

        .article-thumb{
            padding-bottom: 46%;
            position: relative;

            img{
                position: absolute;
                left: 0;
                right: 0;
                top: 0;
                bottom: 0;
                height: 100%;
                width: 100%;
                object-fit: cover;
                border: 1px solid #d4dfe9;
                box-shadow: 0 10px 20px -10px rgba(47,45,92,.1);
                display: block;
                overflow: hidden;
            }
        }

        p{
            line-height: 1.5em;
            margin: 20px 0;
        }
    }
}

//Pagination
.pagination {
    list-style: none;
    display: flex;
    justify-content: center;
    width: 100%;

    .nav-links{
        display: flex;
        justify-content: center;
    }

    a,
    span {
        border: 1px solid #d4dfe9;
        transition: .5s ease;
        padding: 12px;
        display: block;
        color: #2f2d5c;
    }

    a:first-child,
    span:first-child {
        border-top-left-radius: 6px;
        border-bottom-left-radius: 6px;
    }

    a:last-child,
    span:last-child {
        border-top-right-radius: 6px;
        border-bottom-right-radius: 6px;
    }

    .active,
    a:hover {
        color: #fff;
        background-color: #2f2d5c;
        border: 1px solid #2f2d5c;
    }

    .active a {
        color: #fff;
        cursor: default;
    }

    .current{
        cursor: default;
        background: #2f2d5c;
        color: $color__white;
    }

    .screen-reader-text{
        display: none;
    }
}

//Pre footer
.pre-footer{
    overflow: hidden;
    width: 100%;
    position: relative;

    &:before{
        content: "";
        position: absolute;
        top: 0;
        bottom: 0;
        right: -16%;
        width: 650px;
        height: 650px;
        margin: auto;
        border-radius: 50%;
        background: rgba(247, 248, 251, 0.4);
    }

    .wrap .row{
        min-height: 400px;
    }

    .pre-footer-img{
        position: absolute;
        right: -10%;
        top: 20px;
        bottom: 20px;
        height: calc(100% - 40px);
        object-fit: contain;
        margin: auto;
    }

}


/**
 * Media queries
 */

@media screen and (min-width: 1600px){
    .pre-footer:before {
        right: -5%;
    }

    .pre-footer .pre-footer-img {
        right: -1%;
    }
}

@media screen and (max-width: $wrap__lg){

}

@media screen and (max-width: $wrap__md){

    //Error page
    .error404 .page-content:before{
        display: none;
    }

    .blog-posts .wrap,
    .pre-footer .wrap{
        padding-left: 30px;
        padding-right: 30px;
    }

    #mega-menu-wrap-menu-main #mega-menu-menu-main > li.mega-menu-item > a.mega-menu-link{
        padding-left: 10px;
        padding-right: 10px;
        height: auto;
    }

    .brand img{
        max-width: 150px;
    }

    .headbar #toggle-search{
        position: absolute;
        right: 5rem;
        top: 2.2rem;
    }

    .pre-footer .pre-footer-img {
        right: -20%;
    }

    .pre-footer:before{
        right: -30%;
    }
}


@media screen and (max-width: $wrap__sm){

    //Header
    #footer .wrap{
        padding-left: 20px;
        padding-right: 20px;
    }

    #footer .social-nav{
        display: block;
    }

    //Search
    .headbar + .search-form-wrapper.active {
        padding: 2rem 20px;
    }

    //Single
    body.single-post .article-single{
        padding: 32px;
    }

    //Blog

    .blog-posts .article:nth-child(odd) .article-thumb-wrap{
        order: 1;
    }

    .blog-posts .article:nth-child(odd) .article-caption{
        order: 2;
    }

    .blog-posts .card>a{
        flex-direction: row;
    }

    .blog-posts .article:not(.article--big) .article-thumb-wrap,
    .blog-posts .article:nth-child(3n+0):not(.article--big) .article-thumb-wrap {
        max-width: 40%;
        flex: 0 0 40%;
    }

    .blog-posts .article:not(.article--big) .article-caption,
    .blog-posts .article:nth-child(3n+0):not(.article--big) .article-caption {
        padding: 20px 0 0 20px;
        max-width: 60%;
        flex: 0 0 60%;
    }

    .blog-posts .article .article-caption{
        text-align: left;

        .article-title{
            font-size: 1rem;
        }

        .btn__read{
            display: none;
        }
    }

    .blog-posts article.article--big .card > a{
        flex-direction: column;
    }

    .blog-posts article.article--big .article-thumb-wrap,
    .blog-posts article.article--big .article-caption{
        width: 100%;
    }

    .blog-posts article.article--big .article-thumb-wrap,
    .blog-posts article.article--big .article-thumb-wrap img{
        height: 170px;
    }

    .blog-posts article.article--big .article-caption{
        padding: 18px;
    }

    .category__badge {
        top: initial;
        bottom: 0;
        border-radius: 4px 0 8px 0;
        font-size: .75rem;
    }

    //Padding

    .padding__section{
        padding: 60px 0;
    }

    .padding-top__section{
        padding-top: 60px;
    }

    .padding-bottom__section{
        padding-bottom: 60px;
    }
}


@media screen and (max-width: $wrap__xs){

    //Footer
    #footer{
        text-align: center;

        .brand>a{
            margin-right: 0;
        }

        .menu-footer ul{
            display: block;

            li+li{
                margin-top: 1rem;
            }
        }

        .menu-footer>ul>li+li{
            margin-top: 2rem;
        }

        .lang-selector{
            margin-top: 16px;
            margin-bottom: 8px;
        }
    }

    .pre-footer{
        text-align: center;
        padding: 100px 0 50%;

        .wrap .row{
            min-height: initial;
        }

        .pre-footer-img{
            transform: none;
            width: 100%;
            top: initial;
            height: auto;
            bottom: -150px;
            width: 90%;
            left: 5%;
            right: 5%;
        }

        &:before{
            width: 100vw;
            height: 100vw;
            bottom: -60vw;
            left: 0;
            right: 0;
            top: initial;
        }
    }

    //Single

    body.single-post .wrap{
        padding-left: 1.5rem;
        padding-right: 1.5rem;
    }

    body.single-post .headbar .wrap{
        padding-left: 0;
        padding-right: 0;
    }

    body.single-post .article-single{
        padding: 0 0 40px;
        border: none;
        box-shadow: none;
        text-align: center;
    }

    body.single-post .article-single .article-thumb{
        margin-left: -1.5rem;
        margin-right: -1.5rem;
    }

    body.single-post .article-single .article-content{
        text-align: left;
    }

    body.single-post .article-single .article-thumb img{
        border: none;
        border-radius: 0;
    }

    body.single-post .article-single .category__badge{
        position: relative;
        margin: 0 auto;
        border-radius: 4px;
        padding: 4px 16px;
        text-align: center;
        margin-bottom: 10px;
        font-size: .875rem;
    }

}
